Subject: Re: [net-next v2] net: sched: Introduce act_ctinfo action

From: Greg KH <[email-masked]>
Date: Sun, 5 May 2019 12:23:14 +0200

On Sun, May 05, 2019 at 10:15:43AM +0000, Kevin 'ldir' Darbyshire-Bryant wrote:
> --- /dev/null
> +++ b/net/sched/act_ctinfo.c
> @@ -0,0 +1,407 @@
> +// SPDX-License-Identifier: GPL-2.0 WITH Linux-syscall-note

How can a .c file, buried in the kernel tree, have a Linux-syscall-note
exception to it?

Are you _sure_ that is ok?  That license should only be for files in the
uapi header directory.

thanks,

greg k-h